' Copyright (c) Microsoft Corporation.  All rights reserved.

'------------------------------------------------------------------------------
' PLEASE NOTE:  Microsoft Corporation (or based on where you live, one of its affiliates) 
' licenses this supplement to you.  You may use it with each validly licensed copy of Microsoft 
' Visual Studio Pre-Release Code-Name "ORCAS" software (the software).  You may not use the 
' supplement if you do not have a license for the software.  The license terms for the software 
' apply to your use of this supplement. 
'
' Please note: As this software is distributed in Quebec, Canada, this notice is provided below in French.
' Remarque: Ce logiciel tant distribu au Qubec, Canada, les termes de cette licence sont fournis ci-dessous en franais.
' REMARQUE:  Microsoft Corporation (ou en fonction du lieu o vous vivez, lun de ses affilis) vous 
' accorde une licence pour ce supplment.  Vous pouvez utiliser une copie de ce supplment avec chaque 
' copie concde sous licence du logiciel Microsoft Visual Studio Pre-Release Code-Name "ORCAS" (le  logiciel ).  
' Vous ntes pas autoris  utiliser ce supplment si vous ntes pas titulaire dune licence pour le logiciel.  
' Les conditions de licence pour le logiciel sappliquent  lutilisation de ce supplment.  
'------------------------------------------------------------------------------
Imports System.Windows.Forms
Imports System.ComponentModel


'<summary>
'we are using a custom binding source implementation 
'for this application because we have not mapped the entire 
'Nortwhind DB and deleting products (or categories that cascade to products)
'could cause referential integrity violations with existing order_details rows.
' 
'This implementation mereely sets the AllowRemove property
'to false whereas the readonly property of the base class
'is true.
'</summary>
Public Class EntityBindingSource
    Inherits BindingSource

    Public Sub New(ByVal container As IContainer)
        : MyBase.New(container)
    End Sub


    Public Overrides ReadOnly Property AllowRemove() As Boolean
        Get
            Return False
        End Get
    End Property

End Class
